Download it now!
Bug 47164 - Start Center: Recent Documents picker can not be reached right third of separate button area
Summary: Start Center: Recent Documents picker can not be reached right third of separ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Joel Madero
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-09 11:49 UTC by Todd
Modified: 2012-07-30 05:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
recents hot spot (37.84 KB, image/png)
2012-03-09 11:49 UTC, Todd
Details
Screenshots with comments (51.43 KB, application/x-download)
2012-07-12 05:15 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2012-03-09 11:49:40 UTC
Created attachment 58248 [details]
recents hot spot

Hi All,

Would you please consider the following enhancement: on the opening console (/opt/libreoffice3.5/program/soffice), would you consider doubling the size of the hot spot around the recents down arrow?  This would be a kindness to those of us (klutzes) who frequently missing hitting the down arrow dead center and have to go back and do it again.

Thank you for your consideration,
-T
Comment 1 sasha.libreoffice 2012-05-31 04:02:28 UTC
Thanks for new idea
Just press on word "Open..." and hold one second
Comment 2 Joel Madero 2012-06-29 15:54:12 UTC
Sure I don't see a problem doing this. I'm going to assign to myself but it's low on the priority list so might take a bit of time.
Comment 3 Todd 2012-06-29 16:45:10 UTC
The "klutzes" amongst us do appreciate it.  Thank you!
Comment 4 Joel Madero 2012-07-05 08:41:06 UTC
Going through the code just learned something myself. If you press and hold on the Open button  (anywhere), recent documents dialog pops up. 

Still agree that anything to the right of the vettical line should trigger the recent documents dialog so I'm working on it but wanted to give this option to anyone interested
Comment 5 Joel Madero 2012-07-05 08:41:46 UTC
and....I see Sasha beat me to that one ;) anyways, working on it now
Comment 6 Rainer Bielefeld Retired 2012-07-12 05:15:18 UTC
Created attachment 64131 [details]
Screenshots with comments

I see several problems, inconsistencies, ...

a) There is an area right from the black arrow what brings up the fileopen
   dialog instead of the "Recent Documents" list, that's a real bug  (see
   attached screenshot with comments)
b) Design differs from icons. There we have a moe or less complete samaller
   extra button for the picker function, not only a vertical separator line (see
   attached screenshot with comments), that should be unified.
c) Black triangle should be centered horizontally in "recent Documents" area 
   (see attached screenshot with comments)
d) Tooltip should change when mouse pointer passes vertical separator line to 
   indicate changing function, also for icons in the applications
   (enhancement request, see attached screenshot with comments)
e) some graphic effect also should indicate that the function changes when the
   mouse pointer passes vertical separator line
  (enhancement request, see attached screenshot with comments)
Comment 7 Rainer Bielefeld Retired 2012-07-12 05:41:25 UTC
IMHO topic a in Comment 6 is the core of reporter's problem, this has to be fixed for first. This never worked correctly in LibO and also AOOo 3.4 suffers from that bug.

This problem is [Reproducible] with "LibreOffice  3.5.5.3.  German UI/Locale [Build-ID: 7122e39-92ed229-498d286-15e43b4-d70da21] on German WIN7 Home Premium (64bit)   and
3.6.0.0.beta3  and  3.7.0.0.alpha0+ Master
Same with 3.5.3 on Ubuntu 12 Linux

I doubt that separate button size for "Recent Documents" really will have to be increased after fix for problem a.


@Christoph:
Concerning the other topics b ... e: Do we already have any guidelines for that?

@Joel:
Please attach screenshots concerning your proposal here in the Bug! 

We / I will have to shift topics from Comment 6 what will not be handled with
your current bug fix to separate bug reports.
Comment 8 Joel Madero 2012-07-12 06:13:05 UTC
Rainer,

Thanks for the feedback. What I'll do is first address the original bug, then I'll post a screenshot of a larger arrow and see what people think. I think you're ultimately right that your solution will address the original point (although I personally like the larger arrow as it makes it stand out a bit more).

a) I'll work on this tomorrow

b) If this is the case, big arrow gets tossed, which is fine with me, I made it larger just to see how it would look/feel. If it's decided that it's not wanted, we can stick to the small one no complaints from me

c) Fixing now

d) & e) If you create (or I can create) new enhancement requests that would be good I think.
Comment 9 pierre-yves samyn 2012-07-12 06:47:07 UTC
Hello

I agree with all Rainer's remarks in comment #6

I would add that this feature also suffers from the absence of tooltip on the document names.

The list is too narrow to display the url in full and that's fine as well (url are too long). View the full url in tooltip can check the full path before opening.

Note: this is what is applied with File> Recent Documents (move the cursor to an url displays it in tooltip)

Regards
Pierre-Yves
Comment 10 Joel Madero 2012-07-12 16:26:07 UTC
I've been able to center the arrow and move the hotspot to the right up against the button border but I am having a lot of trouble finding out how the width of the hotspot is being calculated. The problem now is that the hotspot starts on the very right side of the arrow and goes to the border, instead of spanning the whole space.

If anyone has any ideas, the relevant code has been located around here:

http://opengrok.libreoffice.org/xref/core/vcl/source/control/button.cxx#865

I'm going to keep digging around but as of yet I'm having a hard time locating it.
Comment 11 Joel Madero 2012-07-12 22:41:32 UTC
Should I post the patch here, mailing list or gerritt? I was able to fix A & C in comment #6. 

B I have some comments about that I'm not sure if it's appropriate to talk about on this bug or if we should discuss it in the UX mailing list. D & E will be addressed in a different bug.

I need a few people to check my patch as it required more than I had anticipated but as far as I can tell it works.
Comment 12 sasha.libreoffice 2012-07-13 15:16:38 UTC
> Should I post the patch here, mailing list or gerritt?
IMHO in mailing list
Comment 13 Joel Madero 2012-07-13 15:23:41 UTC
Thanks Sasha, I sent it out yesterday through the mailing list.
Comment 14 Joel Madero 2012-07-25 17:46:27 UTC
Patch has been pushed. Everyone should see the increased size in the next release and hopefully it gets into an update for current stable as well. Going to mark as RESOLVED.
Comment 15 Not Assigned 2012-07-25 17:52:31 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad9ca11b6fa7792880571d33750c9f52568b837e

fdo#47164: Increased size of hotspot box for recent documents on Start Center
Comment 16 sasha.libreoffice 2012-07-27 14:41:58 UTC
Thanks for fixing this bug